#!/bin/bash

set -euo pipefail

sudo mkdir -p /srv/kuma
sudo chown -R peon:peon /srv/kuma

sudo -u peon -s

# https://beszel.dev/guide/hub-installation
podman run -ti -d \
  --name kuma \
  --cpus=1.0 \
  --memory=2g \
  --restart=unless-stopped \
  -v /srv/kuma:/app/data \
  -p 9001:3001 \
  docker.io/louislam/uptime-kuma:latest

mkdir -p "$HOME/.config/systemd/user"
cd "$HOME/.config/systemd/user"

# TODO probably want to use quadlet instead
podman generate systemd --restart-policy=always --new --files --name kuma
podman stop kuma

systemctl --user start container-kuma
systemctl --user status container-kuma
systemctl --user enable container-kuma

exit
