#!/bin/bash

set -euo pipefail

sudo apt install -y podman

sudo adduser peon --disabled-password --disabled-login
sudo loginctl enable-linger peon

sudo cp "$HOME/.vimrc" /home/peon/.vimrc

sudo mkdir -p /home/peon/.config/containers
sudo cp "$HOME/.config/containers/storage.conf" /home/peon/.config/containers/storage.conf

echo 'if [ -z "${XDG_RUNTIME_DIR}" ]; then' | sudo tee -a /home/peon/.bashrc
echo '  XDG_RUNTIME_DIR=/run/user/$(id -u)' | sudo tee -a /home/peon/.bashrc
echo '  export XDG_RUNTIME_DIR'             | sudo tee -a /home/peon/.bashrc
echo 'fi'                                   | sudo tee -a /home/peon/.bashrc

sudo chown -R peon:peon /home/peon

sudo mkdir -p /etc/containers/
sudo cp "$HOME/.config/containers/storage.conf" /etc/containers/storage.conf

systemctl --user enable podman.socket
systemctl --user start podman.socket

sudo -u peon -s
systemctl --user enable podman.socket
systemctl --user start podman.socket
exit
